using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace LawnLogin {
	public partial class frmLogin : Form {
		public frmLogin(string account, string password, bool disableiss) {
			InitializeComponent();

			txtAccount.Text = account;
			txtPassword.Text = password;
			chkDisableISS.Checked = disableiss;
		}

		private void btnOK_Click(object sender, EventArgs e) {
			Cursor = Cursors.WaitCursor;
			bool success = Program.Login(txtAccount.Text, txtPassword.Text, chkDisableISS.Checked, chkRemember.Checked);
			Cursor = Cursors.Default;
			if (success) {
				Program.Notify("You are now logged into Lawn", ToolTipIcon.Info);
				this.Close();
			}
		}

		private void btnCancel_Click(object sender, EventArgs e) {
			this.Close();
		}

		private void frmLogin_Show(object sender, EventArgs e) {
			Program.StopLawnStatusTimer();
			if (txtAccount.Text.Length == 0) {
				txtAccount.Focus();
			} else {
				txtPassword.Focus();
			}
		}
	}
}